How best to upgrade from Liberty 2.0.1 to LGB?

Discussion in 'Liberty ROM DX' started by armedmonkey, Jun 2, 2011.

  1. armedmonkey

    armedmonkey Member

    Joined:
    Aug 4, 2010
    Messages:
    253
    Likes Received:
    0
    Trophy Points:
    16
    Ratings:
    +0
    Do I need to SBF to Froyo stock and OTA to GB then flash it?
     
  2. Kasey Krehbiel

    Kasey Krehbiel Member

    Joined:
    Mar 15, 2011
    Messages:
    521
    Likes Received:
    1
    Trophy Points:
    18
    Location:
    Culpeper, VA
    Ratings:
    +1
    I officially request a STICKY with instructions on how to upgrade from Liberty 2.0.1 to LGB. There are way too many questions and I think they should be consolidated to a single thread.

    Koveleski? Mobile Sensei? JRummy? Anyone? Plz?
     
  3. bobAbooey

    bobAbooey Member

    Joined:
    Apr 8, 2011
    Messages:
    127
    Likes Received:
    0
    Trophy Points:
    16
    Ratings:
    +0
    Sbf back to stock froyo. Install the 2 files from team black hat. Root froyo. Use d2 bootstrap and flash both files before rebooting. Reboot after install. You'll now be rooted and on 596. Then you can install v0.6.

    Sent from my DROIDX using DroidForums
     
  4. armedmonkey

    armedmonkey Member

    Joined:
    Aug 4, 2010
    Messages:
    253
    Likes Received:
    0
    Trophy Points:
    16
    Ratings:
    +0
    What two files from TBH?

    Also, why the d2 bootstrap?
     
  5. kilahimm

    kilahimm Member

    Joined:
    Feb 17, 2011
    Messages:
    160
    Likes Received:
    0
    Trophy Points:
    16
    Ratings:
    +0
    D2 bootstrap works for the DX on Gingerbread without a limitation that DX bootstrap has. With DX bootstrap you need to disable usb-debugging for it to work.
     
  6. armedmonkey

    armedmonkey Member

    Joined:
    Aug 4, 2010
    Messages:
    253
    Likes Received:
    0
    Trophy Points:
    16
    Ratings:
    +0
    oh, thanks. so what are the two files I need, and where do I get lgb .6?
     
  7. DroidXDoes4G

    DroidXDoes4G Member

    Joined:
    May 23, 2011
    Messages:
    948
    Likes Received:
    3
    Trophy Points:
    18
    Ratings:
    +3
    Its easier to buy Liberty TB donate, then D/L and install Liberty v1. After that, install v6.

    Clear cache/data when install v1, but not on v6.

    NO SBF NEEDED
     
  8. WAZZSUP

    WAZZSUP New Member

    Joined:
    Mar 31, 2011
    Messages:
    21
    Likes Received:
    0
    Trophy Points:
    1
    Ratings:
    +0

    It took me 20 min's to go from 2.01 to V6 using the above steps. In the Liberty paid ( donated ) version simply go to nightlies and follow the directions for V1 then straight to V6...truly a piece of cake.
     
  9. armedmonkey

    armedmonkey Member

    Joined:
    Aug 4, 2010
    Messages:
    253
    Likes Received:
    0
    Trophy Points:
    16
    Ratings:
    +0
    I prefer to do things the manual way. I'm glad it worked for you, but if it doesn't work for me, I don't want to be trying to figure out where it failed.
     
  10. ldopa

    ldopa Silver Member

    Joined:
    Jan 4, 2011
    Messages:
    4,742
    Likes Received:
    2
    Trophy Points:
    153
    Location:
    Rochester NY
    Ratings:
    +2
    You dx guys are lucky. You can do the entire jump from the toolbox. Us d2 cats have to jump on the monster leak, then the nightlies. Its just a little more of a pain. I wish there was a full V0.1 for d2

    From my Liberated DROID2 at 1.25ghz
     
  11. DroidXDoes4G

    DroidXDoes4G Member

    Joined:
    May 23, 2011
    Messages:
    948
    Likes Received:
    3
    Trophy Points:
    18
    Ratings:
    +3
    Oh, didn't realize that!!!

    Sent from my DROIDX using DroidForums
     
  12. ldopa

    ldopa Silver Member

    Joined:
    Jan 4, 2011
    Messages:
    4,742
    Likes Received:
    2
    Trophy Points:
    153
    Location:
    Rochester NY
    Ratings:
    +2
    Haha

    From my Liberated DROID2 at 1.25ghz
     
  13. armedmonkey

    armedmonkey Member

    Joined:
    Aug 4, 2010
    Messages:
    253
    Likes Received:
    0
    Trophy Points:
    16
    Ratings:
    +0
    Sooooo... those files? ^^
     
  14. zman2904

    zman2904 New Member

    Joined:
    Jan 24, 2010
    Messages:
    17
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    Pittsburgh, PA
    Ratings:
    +0

    I have been through the toolbox, and have not found any way to jump from 2.0.1 to LGB am i missing something?
     
  15. armedmonkey

    armedmonkey Member

    Joined:
    Aug 4, 2010
    Messages:
    253
    Likes Received:
    0
    Trophy Points:
    16
    Ratings:
    +0

    How is it that there is no SBF needed? VZW/Moto usually upgrade kernel and radio drivers with each version of Android they release. If I do this, will I get those updates too, or will I be on some bastardized version like when we upgraded to the Froyo Leak?